/*
 *    SimpleGraphicalClient.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.nzdl.gsdl.SimpleGraphicalClient;

import java.awt.Font;

/**
 * Class 
 *
 * A class to 
 * 
 * @author Dave Nichols (daven@cs.waikato.ac.nz)
 * @author stuart yeates (say1@cs.waikato.ac.nz)
 * @version $Revision: 2190 $
 * @see org.nzdl.gsdl.service.SimpleGraphicalClient.SimpleGraphicalClient
 */


public interface Constants

{

/* Menu Item IDs */

/* File Menu */

  final static int  QUIT_ID				= 104;
  final static int  POLL_ID				= 105;
  final static int  GARBAGE_ID				= 106;

/* Edit Menu */

  final static int PREF_ID	   			= 201;


    /* Preference Strings */

    String DISPLAY_FIRST_DOC = "Automatically display the first document";
    String RAW_TEXT = "Always display raw text (don't interpret HTML)";
    String MULTIPLE_SERVERS =  "Connect to multiple servers";
    String LOG_SERVICE = "Log at the NzdlService level";
    String CACHE_CORBA = "Cache corba requests";
    String SAVE_DOCS = "Save documents";

/*Fonts */

/* font for display of document contents */
Font docFont = new Font("SansSerif", Font.PLAIN , 10);

/* font for display of results */

Font resultsFont = new Font("SansSerif", Font.PLAIN , 10);

/* font for display of berrybasket contents */

Font berryFont = new Font("SansSerif", Font.PLAIN , 10);

/* font for display of queryHistory */

Font queryHistoryFont = new Font("SansSerif", Font.PLAIN , 10);

/* font for query input TextField */

Font searchTextFieldFont = new Font("SansSerif", Font.BOLD , 11);



} 
